package ru.ulstu.admin.service;

import org.springframework.stereotype.Service;
import ru.ulstu.admin.model.IndicatorForm;
import ru.ulstu.indicator.model.Indicator;
import ru.ulstu.indicator.service.IndicatorService;

import java.util.List;

@Service
public class AdminService {
    private final IndicatorService indicatorService;

    public AdminService(IndicatorService indicatorService) {
        this.indicatorService = indicatorService;
    }

    public List<Indicator> getIndicators() {
        return indicatorService.getIndicatorList();
    }

    public void saveIndicator(IndicatorForm indicatorForm) {
        Indicator indicator = indicatorService.findByName(indicatorForm.getName());
        if (indicator == null) {
            indicatorService.save(new Indicator(indicatorForm.getName()));
        } else {
            // TODO: update other fields
        }
    }
}
