package ru.ulstu.indicator.service;

import org.springframework.stereotype.Service;
import ru.ulstu.indicator.model.Indicator;
import ru.ulstu.indicator.repository.IndicatorRepository;

import java.util.List;

@Service
public class IndicatorService {
    private final IndicatorRepository indicatorRepository;

    public IndicatorService(IndicatorRepository indicatorRepository) {
        this.indicatorRepository = indicatorRepository;
    }

    public List<Indicator> getIndicatorList() {
        return indicatorRepository.findAll();
    }

    public void save(Indicator indicator) {
        indicatorRepository.save(indicator);
    }

    public Indicator findByName(String name) {
        return indicatorRepository.findByName(name);
    }
}
